Get verification session status
curl --request GET \
--url https://api.docksys.xyz/v2/sessions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/v2/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/sessions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"id": "<string>",
"pid": "<string>",
"clientId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"verifyUrl": "<string>",
"reusedExisting": true,
"guildId": "<string>",
"statusReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"terminalAt": "2023-11-07T05:31:56Z",
"result": {
"discordId": "<string>",
"robloxId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"linkChanged": true,
"previousRobloxId": "<string>",
"linkVersion": 123,
"linkHash": "<string>"
}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}API Reference
Get verification session status
Returns the current state of a verification session owned by the authenticated API key. Use wait=25 for long polling instead of tight polling loops.
GET
https://api.docksys.xyz
/
v2
/
sessions
/
{id}
Get verification session status
curl --request GET \
--url https://api.docksys.xyz/v2/sessions/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.docksys.xyz/v2/sessions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.docksys.xyz/v2/sessions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": 200,
"data": {
"id": "<string>",
"pid": "<string>",
"clientId": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"verifyUrl": "<string>",
"reusedExisting": true,
"guildId": "<string>",
"statusReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"terminalAt": "2023-11-07T05:31:56Z",
"result": {
"discordId": "<string>",
"robloxId": "<string>",
"verifiedAt": "2023-11-07T05:31:56Z",
"linkChanged": true,
"previousRobloxId": "<string>",
"linkVersion": 123,
"linkHash": "<string>"
}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 401,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key.",
"details": null
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": null,
"remaining": null,
"resetAt": null,
"retryAfter": null,
"scope": null
}
},
"timestamp": "2026-05-07T16:30:00.000Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"status": 429,
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Please retry after 1 seconds.",
"details": {}
},
"meta": {
"requestId": "req_9d7b8c6a5f4e",
"version": "2.0.0",
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetAt": "2023-11-07T05:31:56Z",
"retryAfter": 123,
"scope": "api_key",
"bucket": "sessions_create"
}
},
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Dock API key. Send Authorization: Bearer <api key>.
Path Parameters
Verification session ID.
Example:
"vsn_X8m2pLq9Tn4bR6sYzA0wQ1"
Query Parameters
Optional long-poll wait in seconds. Maximum is 25 seconds.
Required range:
0 <= x <= 25⌘I